{% extends 'base.html' %}
{% block title %}Questions & Answers{% endblock %}

{% block content %}
<div class="page-header">
    <h1>Answered Questions</h1>
</div>
<hr>

<video width="480" height="320" controls>
                <source src="{{ url_for('upload', filename=video.name) }}" type="video/mp4">
                Your browser does not support the video tag.
            </video>


<div>
    {% for question in questions %}
    <h1>{{ question.question }}</h1>
    <div class="row">
        <div class="col-lg-12">
            <div class="well bs-component">
                <form class="form-horizontal" method="POST"
                      action="{{ url_for('answer', question_id=question.id) }}">
                    <fieldset>
                        <div class="form-group">
                            <label for="textArea" class="col-lg-2 control-label">Answer</label>
                            <div class="col-lg-10">
                            <textarea class="form-control" name="answer" rows="3"
                                      id="textArea"></textarea>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-lg-10 col-lg-offset-2">
                                <button type="submit" class="btn btn-primary">Submit</button>
                            </div>
                        </div>
                    </fieldset>
                </form>
            </div>
        </div>
    </div>
    {% endfor %}
</div>
{% endblock %}